part of 'fragment_container.dart';

abstract class FragmentManager {
  FragmentContainer get container;

  LiveData<FragmentKey?> get currentFragment;

  LiveData<bool> get canGoBack;

  LiveData<bool> get canGoForward;

  void navigateTo<T extends Fragment>();

  void navigateToKey(FragmentKey key);

  bool back();

  bool forward();
}
